<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>AbstractAuditingEntity.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.domain</a> &gt; <span class="el_source">AbstractAuditingEntity.java</span></div><h1>AbstractAuditingEntity.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import org.hibernate.envers.Audited;
import org.springframework.data.annotation.CreatedBy;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.LastModifiedBy;
import org.springframework.data.annotation.LastModifiedDate;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import java.io.Serializable;
import java.time.Instant;
import javax.persistence.Column;
import javax.persistence.EntityListeners;
import javax.persistence.MappedSuperclass;

/**
 * Base abstract class for entities which will hold definitions for created, last modified by and created,
 * last modified by date.
 */
@MappedSuperclass
@Audited
@EntityListeners(AuditingEntityListener.class)
<span class="fc" id="L24">public abstract class AbstractAuditingEntity implements Serializable {</span>

    private static final long serialVersionUID = 1L;

    @CreatedBy
    @Column(name = &quot;created_by&quot;, nullable = false, length = 50, updatable = false)
    @JsonIgnore
    private String createdBy;

<span class="fc" id="L33">    @CreatedDate</span>
    @Column(name = &quot;created_date&quot;, updatable = false)
    @JsonIgnore
<span class="fc" id="L36">    private Instant createdDate = Instant.now();</span>

    @LastModifiedBy
    @Column(name = &quot;last_modified_by&quot;, length = 50)
    @JsonIgnore
    private String lastModifiedBy;

<span class="fc" id="L43">    @LastModifiedDate</span>
    @Column(name = &quot;last_modified_date&quot;)
    @JsonIgnore
<span class="fc" id="L46">    private Instant lastModifiedDate = Instant.now();</span>

    public String getCreatedBy() {
<span class="fc" id="L49">        return createdBy;</span>
    }

    public void setCreatedBy(String createdBy) {
<span class="fc" id="L53">        this.createdBy = createdBy;</span>
<span class="fc" id="L54">    }</span>

    public Instant getCreatedDate() {
<span class="fc" id="L57">        return createdDate;</span>
    }

    public void setCreatedDate(Instant createdDate) {
<span class="fc" id="L61">        this.createdDate = createdDate;</span>
<span class="fc" id="L62">    }</span>

    public String getLastModifiedBy() {
<span class="fc" id="L65">        return lastModifiedBy;</span>
    }

    public void setLastModifiedBy(String lastModifiedBy) {
<span class="fc" id="L69">        this.lastModifiedBy = lastModifiedBy;</span>
<span class="fc" id="L70">    }</span>

    public Instant getLastModifiedDate() {
<span class="fc" id="L73">        return lastModifiedDate;</span>
    }

    public void setLastModifiedDate(Instant lastModifiedDate) {
<span class="fc" id="L77">        this.lastModifiedDate = lastModifiedDate;</span>
<span class="fc" id="L78">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>